﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadGridNumericBoxCalculationSajeel.aspx.cs" Inherits="RadGridNumericBoxCalculationSajeel" Culture="en-GB" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <script type="text/javascript">
            //Put your JavaScript code here.
            function quantityChanged(sender, args) {
                var grid = $find("<%= RadGrid1.ClientID %>");

                var totalQuantityBox = $telerik.findControl(grid.get_element(), "QtySum");
                totalQuantityBox.set_value(totalQuantityBox.get_value() -
                    parseFloat(args.get_oldValue()) + parseFloat(args.get_newValue()));

                var currentRate = parseFloat($get("<%= rate.ClientID %>").value);
                var totalCostBox = $telerik.findControl(grid.get_element(), "TotalCostBox");
                totalCostBox.set_value(totalCostBox.get_value() -
                    parseFloat(args.get_oldValue()) * currentRate + parseFloat(args.get_newValue()) * currentRate);
            }
        </script>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>
        <telerik:RadGrid ID="RadGrid1" runat="server" AllowPaging="True" CellSpacing="0"
            DataSourceID="SqlDataSource1" GridLines="None" Width="800px" OnItemDataBound="RadGrid1_ItemDataBound"
            ShowFooter="true" PageSize="3" Skin="Office2007">
            <MasterTableView DataSourceID="SqlDataSource1" AutoGenerateColumns="False"
                DataKeyNames="OrderID">
                <CommandItemSettings ExportToPdfText="Export to PDF"></CommandItemSettings>
                <RowIndicatorColumn Visible="True" FilterControlAltText="Filter RowIndicator column">
                    <HeaderStyle Width="20px"></HeaderStyle>
                </RowIndicatorColumn>
                <ExpandCollapseColumn Visible="True" FilterControlAltText="Filter ExpandColumn column">
                    <HeaderStyle Width="20px"></HeaderStyle>
                </ExpandCollapseColumn>
                <Columns>
                    <telerik:GridBoundColumn DataField="OrderID" DataType="System.Int32"
                        FilterControlAltText="Filter OrderID column" HeaderText="OrderID"
                        ReadOnly="True" SortExpression="OrderID" UniqueName="OrderID">
                    </telerik:GridBoundColumn>
                    <telerik:GridDateTimeColumn DataField="OrderDate" DataType="System.DateTime"
                        FilterControlAltText="Filter OrderDate column" HeaderText="OrderDate"
                        SortExpression="OrderDate" UniqueName="OrderDate">
                    </telerik:GridDateTimeColumn>
                    <telerik:GridTemplateColumn DataField="Freight" DataType="System.Decimal"
                        FilterControlAltText="Filter Freight column" HeaderText="Freight"
                        SortExpression="Freight" UniqueName="Freight">
                        <ItemTemplate>
                            <asp:Label ID="Label1" runat="server" Text='<%# string.Format("{0:C}", Math.Round(double.Parse(Eval("Freight").ToString()))) %>'>
                            </asp:Label>
                        </ItemTemplate>
                        <FooterTemplate>
                            <telerik:RadNumericTextBox ID="TotalCostBox" runat="server" Type="Currency" MinValue="0" ReadOnly="true">
                            </telerik:RadNumericTextBox>
                        </FooterTemplate>
                    </telerik:GridTemplateColumn>
                    <telerik:GridBoundColumn DataField="ShipName"
                        FilterControlAltText="Filter ShipName column" HeaderText="ShipName"
                        SortExpression="ShipName" UniqueName="ShipName">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="ShipCountry"
                        FilterControlAltText="Filter ShipCountry column" HeaderText="ShipCountry"
                        SortExpression="ShipCountry" UniqueName="ShipCountry">
                    </telerik:GridBoundColumn>
                    <telerik:GridTemplateColumn HeaderText="Qty" DataField="Freight" UniqueName="Quantity">
                        <ItemTemplate>
                            <telerik:RadNumericTextBox ID="ItemQuantityTextBox" DbValue='<%# Eval("Freight") %>'
                                Type="Number" MinValue="0" Width="30px" Height="30" runat="server" AutoPostBack="False"
                                ShowButton="False" SelectionOnFocus="SelectAll">
                                <NumberFormat DecimalDigits="0" />
                                <ClientEvents OnValueChanged="quantityChanged"></ClientEvents>
                            </telerik:RadNumericTextBox>
                        </ItemTemplate>
                        <FooterTemplate>
                            <telerik:RadNumericTextBox ID="QtySum" runat="server">
                                <NumberFormat DecimalDigits="0" />
                            </telerik:RadNumericTextBox>
                        </FooterTemplate>
                    </telerik:GridTemplateColumn>
                </Columns>
                <EditFormSettings>
                    <EditColumn FilterControlAltText="Filter EditCommandColumn column">
                    </EditColumn>
                </EditFormSettings>
            </MasterTableView>
            <FilterMenu EnableImageSprites="False">
            </FilterMenu>
        </telerik:RadGrid>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server"
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
            SelectCommand="SELECT [OrderID], [OrderDate], [Freight], [ShipName], [ShipCountry] FROM [Orders]"></asp:SqlDataSource>
        <asp:HiddenField runat="server" ID="rate" Value="3.25" />
    </form>
</body>
</html>
